import ts from 'typescript';
export type ObjectPropertyDefinitions = Record<string, ts.Expression | undefined>;
export declare function generateObjectProperties(obj: ObjectPropertyDefinitions): ts.PropertyAssignment[];
export declare function generateImportNode(pkg: string, namedImports: Record<string, {
    name: string;
    isTypeOnly: boolean;
}>, defaultImportName?: string): ts.ImportDeclaration;
export declare function generateCreateApiCall({ endpointBuilder, endpointDefinitions, }: {
    endpointBuilder?: ts.Identifier;
    endpointDefinitions: ts.ObjectLiteralExpression;
}): ts.CallExpression;
export declare function generateEndpointDefinition({ operationName, Response, QueryArg, queryFn, }: {
    operationName: string;
    Response: ts.TypeReferenceNode;
    QueryArg: ts.TypeReferenceNode;
    queryFn: ts.ObjectLiteralExpression;
}): ts.VariableStatement;
export declare function generateTagTypes({ addTagTypes }: {
    addTagTypes: string[];
}): ts.VariableStatement;
